player_simulation_property_req Struct Reference

Request/reply: get/set a property of a named simulation object. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | name_count
| Length of name.
char * | name
| The identifier of the object we want to locate.
uint32_t | prop_count
| Length of property identifier.
char * | prop
| The identifier of the property we want to get/set.
uint32_t | index
| Index for properties with multiples values (arrays...)
uint32_t | value_count
| The length of the value data in bytes.
char * | value
| The value of the property.

## Detailed Description

Request/reply: get/set a property of a named simulation object.

To retrieve an property of an object in a simulator, send a
  PLAYER_SIMULATION_REQ_GET_PROPERTY request. The server will reply with the value array filled in. The type of the data varies by property and it is up to the caller to cast the data to the correct type: see the warning below.

To set a property, send a completely filled in
  PLAYER_SIMULATION_REQ_SET_PROPERTY request. The server will respond with an ACK if the property was successfully set to your value, else a NACK.

WARNING Types are architecture-dependent, so this feature may
  not work correctly if the simulator is running on a different architecture than your client. The value bytes are transmitted as a raw binary object: no architecture-specific type conversions are performed. Use with caution.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45